Subject: bug#78744: 30.1; (Experimental LaTeX preview) org-persist-write-all causes Emacs to close very slowly

From: Eli Zaretskii <[email-masked]>
Date: Tue, 10 Jun 2025 15:26:39 +0300

> Date: Tue, 10 Jun 2025 05:45:15 +0000
> From:  Kai Bagley via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> After installing and using the org latex preview experimental features
> according to https://abode.karthinks.com/org-latex-preview/, I get
> severe freezing when closing Emacs, due to the `org-persist-write-all`
> function in the `kill-emacs-hook`. I write a lot of math, so I have a
> significant number of LaTeX fragments in my =~/.cache/org-persist=.

Thanks, but please report this to the Org developers first, as this
seems Org-related.